Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## org.xml.sax
Class SAXNotSupportedException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
org.xml.sax.SAXException
org.xml.sax.SAXNotSupportedException`

All Implemented Interfaces:
  java.io.Serializable

      public class SAXNotSupportedException

extends SAXException

Exception class for an unsupported operation.

> This module, both source code and documentation, is in the Public Domain, and comes with NO WARRANTY.

An XMLReader will throw this exception when it recognizes a feature or property identifier, but cannot perform the requested operation (setting a state or value). Other SAX2 applications and extensions may use this class for similar purposes.

Since:
  SAX 2.0
See Also:
  `SAXNotRecognizedException`, Serialized Form

Constructor Summary
`SAXNotSupportedException()` Construct a new exception with no message.
`SAXNotSupportedException(java.lang.String message)` Construct a new exception with the given message.

Method Summary

Methods inherited from class org.xml.sax.SAXException
`getException, getMessage, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SAXNotSupportedException

    public SAXNotSupportedException()

  Construct a new exception with no message.

### SAXNotSupportedException

    public SAXNotSupportedException(java.lang.String message)

  Construct a new exception with the given message.
  Parameters:
    `message` - The text message of the exception.

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

SAX packages are in the public domain.